be.cin.types.v1

## Class ObjectFactory

- java.lang.Object
- - be.cin.types.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.types.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.types.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Blob` | `createBlob()` Create an instance of `Blob`
    `CareReceiverIdType` | `createCareReceiverIdType()` Create an instance of `CareReceiverIdType`
    `DetailsType` | `createDetailsType()` Create an instance of `DetailsType`
    `DetailType` | `createDetailType()` Create an instance of `DetailType`
    `FaultType` | `createFaultType()` Create an instance of `FaultType`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `StringLangType` | `createStringLangType()` Create an instance of `StringLangType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.types.v1

  - ### Method Detail

    - #### createStringLangType

          public StringLangType createStringLangType()

      Create an instance of `StringLangType`

    - #### createDetailType

          public DetailType createDetailType()

      Create an instance of `DetailType`

    - #### createFaultType

          public FaultType createFaultType()

      Create an instance of `FaultType`

    - #### createDetailsType

          public DetailsType createDetailsType()

      Create an instance of `DetailsType`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createCareReceiverIdType

          public CareReceiverIdType createCareReceiverIdType()

      Create an instance of `CareReceiverIdType`

    - #### createBlob

          public Blob createBlob()

      Create an instance of `Blob`

Connector Packaging PERSDIETICIAN 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.